{% extends "base.html" %}

{% load grafico_tags %}

{% block content %}

    <!-- top tiles -->
    <div class="row tile_count">
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-users"></i> Comunidades Mapeadas</span>
            <div class="count">{{ totais_gerais.qtd_territorios }}</div>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-flag"></i> Área Mapeada</span>
            <div class="count">{{ totais_gerais.area_territorios }}</div>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-user"></i> Usuários Cadastrados</span>
            <div class="count">{{ totais_gerais.qtd_usuarios }}</div>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-heart"></i> Famílias</span>
            <div class="count">{{ totais_gerais.qtd_familias }}</div>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-leaf"></i> Áreas de Uso Cadastradas</span>
            <div class="count">{{ totais_gerais.qtd_areasdeuso }}</div>
        </div>
        <div class="col-md-2 col-sm-4 col-xs-6 tile_stats_count">
            <span class="count_top"><i class="fa fa-bomb"></i> Conflitos Cadastrados</span>
            <div class="count">{{ totais_gerais.qtd_conflitos }}</div>
        </div>
    </div>
    <!-- /top tiles -->

    <div class="row">
        {% grafico_plot  titulo="Usuárias/os cadastradas/os" dados=cadastros_usuarias time_field="dia" value_field="qtd_usuarias" %}
    </div>
    <br/>
    <div class="row">
        {% grafico_plot  titulo="Territórios cadastrados" dados=cadastros_territorios time_field="dia" value_field="qtd_territorios" %}
    </div>
    <br/>
    <div class="row">
        {% grafico_donut titulo="Estado das Inscrições" dados=totais_status label_field="nome" value_field="qtd_territorios"%}

        {% grafico_donut titulo="Tipos de comunidades" dados=totais_tipo_comunidade label_field="nome" value_field="qtd_territorios"%}

        {% grafico_donut titulo="Áreas de Uso" dados=totais_areas_de_uso label_field="nome" value_field="qtd_areasdeuso"%}

        {% grafico_donut titulo="Conflitos" dados=totais_conflitos label_field="nome" value_field="qtd_conflitos"%}

        {% grafico_mapa titulo="Territórios" dados=estados_territorios territory_label="uf" territory_value="qtd_territorios" %}

    </div>

{% endblock %}
